body {
    color: rgb(44, 44, 44);    
}

.container {
    max-height: 100%;
}


.add-to-collection {
    color: rgb(105, 105, 105);
    border: 1px solid rgb(196, 196, 196);;
    padding: 10px;
    border-radius: 5px;
}

.add-to-collection:hover {
    text-decoration: none;
    background-color: rgb(201, 201, 201);
    color: rgb(0, 0, 0);
    border: 1px solid rgb(196, 196, 196);;
    padding: 10px;
    border-radius: 5px;
}

.alfred-logo {
    width: 70px;
}

.action-btn {
    display: block;
    width: 100%;
    height: 70px;
    margin: 20px 0;
    background-color: rgb(71, 109, 138);
    border-radius: 10px;
    border: 1px solid rgb(44, 44, 44);
    text-align: center;
    line-height: 70px;
    font-size: 2em;
    text-decoration: none;
    color: rgb(255,255,255) !important;
}

.action-btn:hover {
    line-height: 64px;
    background-color: rgb(49, 74, 94);
    border: 4px solid rgb(44, 44, 44);
    text-decoration: none;
    color: rgb(255,255,255);
    cursor: pointer;
}

.btn-wrapper {
    display: flex;
    width: 100%;
}

.card-front{
    font-size: 1.5em;
    text-align: center;
}

.card-back {
    font-size: 1.5em;
    display: none;
    text-align: center;
}

.category-wrapper {
    border: 2px solid rgb(230, 230, 230);
    border-radius: 25px;
}

.category-option{
    margin-top:1%;
    margin-bottom:1%;
    padding-top:1%;
    padding-bottom:1%;
    display: block;
}

.category-option img {
    width:100px;
}

.category-option:hover {
    border-radius: 25px;
    border: 1px solid rgb(105, 105, 105);
    text-align: center;
    text-decoration: none;
}

.close-btn {
    width: 40px;
    height: 40px;
    background: rgb(44, 44, 44);
    color: ivory;
    border: none;
    border-radius: 5px;
}

.close-btn:hover {
    background: rgb(100, 100, 100);
}

.deck-wrapper {    
    background-color: rgb(223, 230, 228);
    border-radius: 10px;
}

.deck-wrapper a {
    text-decoration: none;
    color: rgb(44, 44, 44);
}

.deck-wrapper:hover {
    border: 1px solid rgb(44, 44, 44);
}

.deck-title {
    background-color: rgb(179, 194, 189);
    text-align: center;
    border-radius: 10px 10px 0 0;
}


.delete-from-collection {
    color: rgb(105, 105, 105);
    border: 1px solid rgb(196, 196, 196);;
    padding: 10px;
    border-radius: 5px;
}

.delete-from-collection:hover {
    text-decoration: none;
    background-color: rgb(165, 52, 0);
    color: ivory;
    border: 1px solid rgb(196, 196, 196);;
    padding: 10px;
    border-radius: 5px;
}

.flip-content {
    border: 2px solid grey;
    border-radius: 25px;
    padding: 100px 50px;
    box-shadow: 5px 5px 5px grey;
    display: block;
    overflow-x: hidden;
    transition: transform 0.5s;

}
.flip-content P {
    margin: 0 auto;
    text-align: center;
    font-size: 2em;
}

.header-categories {
    height: 210px;
    background: url(../images/sunset-header.png);  
    background-position: center;  
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0;
}

.header-categories h1 {
    text-align: center;
    background-color: rgba(255,255,255,0.5);
    width: 100%;
    padding: 1% 0;
    box-shadow: 0px 0px 10px 10px rgba(255,255,255,0.5);
}

.header-login {
    height: 210px;
    background: url(../images/tree-header.png);  
    background-position: center;  
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0;
}

.header-login h1 {
    text-align: center;
    background-color: rgba(255,255,255,0.5);
    width: 100%;
    padding: 1% 0;
    box-shadow: 0px 0px 10px 10px rgba(255,255,255,0.5);
}

.input-label {
    display: block;
    width: 100%;
    font-size: 2em;
}

.input-field {
    display: block;
    width: 100%;
    height: 50px;
    border: 1px solid rgb(44, 44, 44);
    border-radius: 5px;
    margin-bottom: 20px;
}

.input-field[type=text], .input-field[type=email], .input-field[type=password] {
    padding: 12px 20px;
}

.logout-btn {
    padding: 0 20px;
    height: 40px;
    background: rgb(165, 52, 0);
    color: ivory;
    border: none;
    border-radius: 5px;
}

.logout-btn:hover {
    background: rgb(99, 31, 0);
}

.navigation-btn {
    position: fixed;
    background-color: transparent;
    border: none;
    cursor: pointer;
    z-index: 1;
}

.navigation-btn img {    
    height: 40px;
}

.secondary-btn {
    display: block;
    width: 100%;
    height: 70px;
    margin: 20px 0;
    background-color: rgb(95, 249, 195);
    border-radius: 10px;
    border: 1px solid rgb(44, 44, 44);
    text-align: center;
    line-height: 70px;
    font-size: 2em;
    text-decoration: none;
    color: rgb(44, 44, 44);
}

.secondary-btn:hover {
    line-height: 64px;
    border: 4px solid rgb(44, 44, 44);
    text-decoration: none;
    color: rgb(44, 44, 44);
    cursor: pointer;
}

.textarea-field {
    height: 90px;
    display: block;
    width: 100%;
    border: 1px solid rgb(44, 44, 44);
    border-radius: 5px;
    margin-bottom: 20px;
}

.primary-btn {
    display: block;
    width: 100%;
    height: 70px;
    margin: 20px 0;
    background-color: rgb(255, 255, 240, 0.8);
    border-radius: 10px;
    border: 1px solid rgb(47, 79, 79);
    text-align: center;
    line-height: 70px;
    font-size: 2em;
    text-decoration: none;
    color: rgb(47, 79, 79);
}

.primary-btn:hover {
    line-height: 64px;
    background-color: rgba(209, 209, 198, 0.8);
    border: 4px solid rgb(47, 79, 79);
    text-decoration: none;
    color: rgb(47, 79, 79);
    cursor: pointer;
}

.container-img {
    background: url(../images/forest-background.png); 
    background-position: center;  
    background-repeat: no-repeat;
    background-size: cover;
    padding: 0; 
    height: 100vh;
}

/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

}

/* Small devices (portrait tablets and large phones, 600px and down) */
@media only screen and (max-width: 600px) {
    .secondary-btn {
        font-size: 1em;
    }
}

/* Medium devices (landscape tablets, 768px and up) */
@media only screen and (min-width: 768px) {

}

/* Large devices (laptops/desktops, 992px and up) */
@media only screen and (min-width: 992px) {

}

/* Extra large devices (large laptops and desktops, 1200px and up) */
@media only screen and (min-width: 1200px) {

}
